Loading...
Searching...
No Matches
BALL::VIEW::ModularWidgetPluginHandler Class Reference

`#include <BALL/VIEW/PLUGIN/modularWidgetPluginHandler.h>`

Inheritance diagram for BALL::VIEW::ModularWidgetPluginHandler:

## Public Member Functions

| ModularWidgetPluginHandler (MainControl *parent)
virtual bool | canHandle (BALLPlugin *plugin) const
Public Member Functions inherited from BALL::PluginHandler
virtual | ~PluginHandler ()
bool | startPlugin (BALLPlugin *plugin)
bool | stopPlugin (BALLPlugin *plugin)
virtual bool | isRunning (BALLPlugin *plugin) const

## Protected Member Functions

virtual bool | specificSetup_ (BALLPlugin *plugin)
virtual bool | specificShutdown_ (BALLPlugin *plugin)

## Protected Attributes

MainControl * | main_control_
ModularWidget * | modular_widget_
Protected Attributes inherited from BALL::PluginHandler
std::list< BALLPlugin * > | running_plugins_

## Detailed Description

See PluginHandler for detailed documentation

Definition at line 23 of file modularWidgetPluginHandler.h.

## Constructor & Destructor Documentation

## ModularWidgetPluginHandler()

BALL::VIEW::ModularWidgetPluginHandler::ModularWidgetPluginHandler | ( | MainControl * | parent | ) |

## Member Function Documentation

## canHandle()

virtual bool BALL::VIEW::ModularWidgetPluginHandler::canHandle | ( | BALLPlugin * | plugin | ) | const

virtual

This function is used to check whether this PluginHandler can initialize the passed plugin. A usual implementation would be something like:

return qobject_cast<MyPlugin*>(plugin) != 0;

Returns
  true if the handler can make use of the plugin, false otherwise

Implements BALL::PluginHandler.

## specificSetup_()

virtual bool BALL::VIEW::ModularWidgetPluginHandler::specificSetup_ | ( | BALLPlugin * | plugin | ) |

protected virtual

A purely virtual function which is responsible for properly initialising the passed plugin instance.

The passed plugin may be assumed to be of a type that can be handled by this PluginHandler.

Returns
  true if the setup succeeded, false otherwise

Implements BALL::PluginHandler.

## specificShutdown_()

virtual bool BALL::VIEW::ModularWidgetPluginHandler::specificShutdown_ | ( | BALLPlugin * | plugin | ) |

protected virtual

A purely virtual function which is responsible for properly deinitialising the passed plugin instance.

The passed plugin may be assumed to be of a type that can be handled by this PluginHandler.

Returns
  true if the deinitialization succeeded, false otherwise

Implements BALL::PluginHandler.

## Member Data Documentation

## main_control_

MainControl* BALL::VIEW::ModularWidgetPluginHandler::main_control_

protected

Definition at line 35 of file modularWidgetPluginHandler.h.

## modular_widget_

ModularWidget* BALL::VIEW::ModularWidgetPluginHandler::modular_widget_

protected

Definition at line 36 of file modularWidgetPluginHandler.h.